LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Suse/Novell
User Name
Password
Suse/Novell This Forum is for the discussion of Suse Linux.

Notices

Reply
 
Search this Thread
Old 08-19-2013, 07:14 PM   #1
RobertDi
LQ Newbie
 
Registered: Mar 2013
Posts: 22

Rep: Reputation: Disabled
Zypper: Error while loading--libzypp.so.1106: file too short


While trying to install an update to one of the programs that came with my openSUSE 12.3, I tried a Yast command, but got the message that Yast didn't exist. Then I tried: sudo zypper install Yast2-gtk.
The error message was "Zypper: error while loading shared libraries: /usr/lib/libzypp.so.1106: file too short"

I installed 12.3 by downloading from the openSUSE site to a DVD. I don't know how to do the number tests on downloads, so I may have gotten some errors.
There seems to be part of Yast there, a Yast page of icons, but on trying them previously, few if any seemed to work.

The computer is a recently assembled homebuilt desktop. Originally it had Windows in it, but Windows objected when I added Suse on a different drive. I unplugged the Windows drive to prevent it from corrupting the Linux, and have converted some of its NTFS drives to Linux, because the original Linux drive was too small. (Under Windows, I was mostly running Open Software, and some of my work has successfully moved to Linux.)
 
Old 08-21-2013, 04:31 AM   #2
John VV
Guru
 
Registered: Aug 2005
Posts: 13,264

Rep: Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774
Quote:
While trying to install an update to one of the programs that came with my openSUSE 12.3
what program ?

and what desktop are you using ?

Gnome3 in my opinion is unusable .
KDE4 it what i use

yast is installed BY default
It IS the control panel ( just like the windows "control panel" , BUT one that REALLY DOSE WORK )
see the icon in the lower left ( where the Windows "Start" would be on xp or 7 )
that is "kick-off"
kick-off/ computer/yast
from that GUI
click on "Software manager"

that is the GUI for the terminal program "zypper"


Quote:
Originally it had Windows in it, but Windows objected when I added Suse on a different drive.
there should be NO problems
i have OpenSUSE 12.3 and ScientificLinux 6.4 installed along with Win7 an a SMALL second drive
( i use win7 maybe for 30 minutes per month )
I have never had win7 complain nor had XP sp3 complain in the last 9 years .

unfortunately Novell controls OpenSUSE so you will need to register with novell to use the opensuse forum and the documentation
http://forums.opensuse.org/forum.php
the docs
http://doc.opensuse.org/
wiki
http://en.opensuse.org/Main_Page


As to your issues ???
Quote:
"Zypper: error while loading shared libraries: /usr/lib/libzypp.so.1106: file too short"
it might be anything

you might want to try a reinstall
or not
"zypper" MUST 100% MUST be ran as root !!!!!!
not as a normal user !

I set up my suse install with a DIFFERENT password for the root account and MADE a root account
-- i DO NOT use "sudo "
there is a check box that needs to be checked during the install to make a separate root and normal user accounts
so PAY attention to everything on the installer windows
the install dvd has a built in option to check the hash and make sure it is all there

But the best tool to download the dvd iso is a torrent client i like deluge and ktorrent

Last edited by John VV; 08-21-2013 at 04:33 AM.
 
1 members found this post helpful.
Old 08-22-2013, 09:51 AM   #3
RobertDi
LQ Newbie
 
Registered: Mar 2013
Posts: 22

Original Poster
Rep: Reputation: Disabled
The program I was trying to update is Scribus 1.4.3
The desktop is a homebuilt business on a Gigabyte mainboard with an AMD FX cpu
I did not install a dual-boot because I was planning to remove Windows.

I'll try a reinstall of opensuse as soon as I complete the DTP project I'm on, by next week.

I am registered with the Novell board, but I prefer LQ'

Thanks for your help, John W

Last edited by RobertDi; 08-22-2013 at 10:00 AM. Reason: add a reply to another statement by John W.
 
Old 08-22-2013, 02:04 PM   #4
John VV
Guru
 
Registered: Aug 2005
Posts: 13,264

Rep: Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774
Scribus is in the base repo

i still do not know if toy are using the Gnome3 or KDE4 or iceweasl or xfce or lxde desktop manager ( or e17 )

Scribus should have no issues installing
unless zypper is broken , then there is not much that can be done
do you get the same error if you list the software repos that you are using
Code:
sudo zypper lr
if the software to install software is broken then you will get the same error

about the only thing to to , other than reinstalling , is to force reinstall zypper from the rpms
bypassing the package manager .

you first need to see IF the version installed currently IS the current
Code:
sudo rpm -qa | grep zypper
in that output will be your current installed version
( from using the "/usr/lib" folder in the first post this IS a 32 bit install )

zypper-1.8.16-1.10.1.i586
it is in the update repo
now if your version IS NOT THIS VERSION then that will be a problem -- version 1.8.16-1.10.1

if it is version
"zypper-1.8.11-1.1.1.i586 " then that is from the the install dvd and you never updated 12.3 after install

Last edited by John VV; 08-22-2013 at 02:07 PM.
 
1 members found this post helpful.
Old 08-23-2013, 02:09 PM   #5
RobertDi
LQ Newbie
 
Registered: Mar 2013
Posts: 22

Original Poster
Rep: Reputation: Disabled
John W-
The response from [sudo rpm ~qa | grep zypper]=
robertdi@linux-7wmm:~/Desktop> sudo zypper lr
root's password:
zypper: error while loading shared libraries: /usr/lib/libzypp.so.1106: file too short
robertdi@linux-7wmm:~/Desktop> sudo rpm ~qa | grep zypper
RPM version 4.9.1.2
Copyright (C) 1998-2002 - Red Hat, Inc.
This program may be freely redistributed under the terms of the GNU GPL

Usage: rpm [-afgpcdlsiv?] [-a|--all] [-f|--file] [-g|--group] [-p|--package]
[--pkgid] [--hdrid] [--triggeredby] [--whatrequires]
[--whatprovides] [--nomanifest] [-c|--configfiles] [-d|--docfiles]
[--dump] [-l|--list] [--queryformat=QUERYFORMAT] [-s|--state]
[--nofiledigest] [--nofiles] [--nodeps] [--noscript] [--allfiles]
[--allmatches] [--badreloc] [-e|--erase=<package>+] [--excludedocs]
[--excludepath=<path>] [--force] [-F|--freshen=<packagefile>+]
[-h|--hash] [--ignorearch] [--ignoreos] [--ignoresize]
[-i|--install] [--justdb] [--nodeps] [--nofiledigest]
[--nocontexts] [--noorder] [--noscripts] [--notriggers]
[--nocollections] [--oldpackage] [--percent] [--prefix=<dir>]
[--relocate=<old>=<new>] [--replacefiles] [--replacepkgs] [--test]
[-U|--upgrade=<packagefile>+] [-D|--define='MACRO EXPR']
[-E|--eval='EXPR'] [--macros=<FILE:...>] [--nodigest]
[--nosignature] [--rcfile=<FILE:...>] [-r|--root=ROOT]
[--dbpath=DIRECTORY] [--querytags] [--showrc] [--quiet]
[-v|--verbose] [--version] [-?|--help] [--usage] [--scripts]
[--setperms] [--setugids] [--conflicts] [--obsoletes] [--provides]
[--requires] [--suggests] [--recommends] [--enhances]
[--supplements] [--info] [--changelog] [--xml] [--triggers]
[--last] [--dupes] [--filesbypkg] [--fileclass] [--filecolor]
[--fscontext] [--fileprovide] [--filerequire] [--filecaps]
robertdi@linux-7wmm:~/Desktop> sudo rpm -ga | grep zypper
root's password:
rpm: one type of query/verify may be performed at a time
robertdi@linux-7wmm:~/Desktop>

Here's more system specs:
Suse Linux 12.2 (Mantis) 32-bit
Kernel Linux 3.4.6.-2.10 desktop
Gnome 3.4.2
Memory 11.3 GiB
Processor AMD FX-4100 Quad-core x 4
Available disk space 412.2 GiB
 
Old 08-23-2013, 02:19 PM   #6
RobertDi
LQ Newbie
 
Registered: Mar 2013
Posts: 22

Original Poster
Rep: Reputation: Disabled
abc

Last edited by RobertDi; 08-23-2013 at 02:22 PM. Reason: duplicate
 
Old 08-23-2013, 02:36 PM   #7
John VV
Guru
 
Registered: Aug 2005
Posts: 13,264

Rep: Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774
" Suse Linux 12.2 (Mantis) 32-bit"
12.2 or 12.3 as per the title ?

or
did you try to do an inplace "upgrade" from 12.2 to 12.3
if so it failed .
And at this point a new install of 12.3 is going to be needed .

that is always a possibility if trying to do an inplace upgrade

" rpm -ga | grep zypper"
that is a "q" not a "g"
also you can run that quarry " -qa" can be done as a normal user
but the rpm database is already created for root
for a normal user it will take a bit more time
 
Old 08-23-2013, 03:02 PM   #8
RobertDi
LQ Newbie
 
Registered: Mar 2013
Posts: 22

Original Poster
Rep: Reputation: Disabled
Apparently my update failed. That data was reported by System Monitor right now.

By the way, I do use my admin passcode whenever it's requested, but it isn't copied in printouts.

While updating SUSE, I;d also want to upgrade to 64 bit, if it's available. I thought that's what I was getting in the first installation.

What do I do next? Please give me the details, I'm still pretty dum with this.
 
Old 08-23-2013, 03:59 PM   #9
John VV
Guru
 
Registered: Aug 2005
Posts: 13,264

Rep: Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774Reputation: 1774
suse is somewhat fallowing ubuntu in the use of sudo and creating a Admin ( root) account

however there is an option to use a different password for root than using the first normal users password

so as to using the "admin" password ??
it might be the first non root users password
or a different one

seeing as you also want to install the 64 bit version
it is not really possible to do an inplace upgrade from 32 bit to 64 bit
( you might be able to but it will be way easier to do a new install

download it
http://software.opensuse.org/123/en
i recommend using the torrent

also unless you are one of the people that LIKE Gnome 3
install KDE4 desktop
if you use a lot of gtk gui programs using kde is no problem

it is not possible to do an inplace upgrade from 32 bit to 64 bit

a new fresh install is needed

Quote:
I'm still pretty dum with this.
no , just new .Linux is NOT Microsoft windows and most people have never even installed a Windows OS

things are just different

you might want to re-read the suse documentation
http://doc.opensuse.org/
-- install guide and basic use --
http://doc.opensuse.org/documentatio...nsuse-startup/

also SUSE has an install option for programs called " one-click"

it makes things easy -- too easy .
BUT i do not recommend using it
it is much better to learn how to do things ,than let scripts auto do everything

I take it you have used Windows OS's for more than a few years . so learning to use a linux OS will take a bit of time

---- a bit of a warning ----
SUSE dose things a bit DIFFERENT than EVERY OTHER rpm based distro
so most red hat RHEL / CentOS / Fedora documentation and guides will NOT apply

some will but not most

you do need to use the novell documentation
 
1 members found this post helpful.
  


Reply

Tags
yast2, zypper


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
zypper install of local rpm file failed: package not found openSauce Suse/Novell 4 03-26-2009 04:11 PM
Latest libzypp update cueman Suse/Novell 1 01-24-2007 02:02 PM
simple way to update 10.1 libzypp for newbies uriah Suse/Novell 13 08-22-2006 06:24 AM
chroot: error while loading shared libraries: /lib/libc.so.6: file too short ilyaz121 Debian 5 06-30-2006 04:06 PM
Error when loading Patrick's config file... JustinCoyan Slackware - Installation 8 07-08-2005 05:02 AM


All times are GMT -5. The time now is 10:26 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration